package com.proyecto.freetoursvcl;

import java.text.DecimalFormat;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class AdaptadorMonumentos extends BaseAdapter {

    private LayoutInflater inflador; // Crea Layouts a partir del XML
    TextView nombre, direccion, distancia;
    ImageView foto;
	private DecimalFormat formateador; 
   
    public AdaptadorMonumentos(Context contexto) {
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }
 
    public View getView(int posicion, View vistaReciclada, ViewGroup padre) {
    	
    	Monumento monumento = Monumentos.elemento(posicion);
    	formateador = new DecimalFormat("#.#");
    	
        if (vistaReciclada == null) {
            vistaReciclada = inflador.inflate(R.layout.elemento_lista, null);
        }
        nombre = (TextView) vistaReciclada.findViewById(R.id.nombre);
        direccion = (TextView) vistaReciclada.findViewById(R.id.direccion);
        foto = (ImageView) vistaReciclada.findViewById(R.id.foto);
        distancia = (TextView) vistaReciclada.findViewById(R.id.distancia);
        nombre.setText(monumento.getNombre());
        direccion.setText(monumento.getDireccion());
        String calle = monumento.getDireccion().replaceAll("\nAyuntamiento de Valencia", "");
        direccion.setText(calle);
        
        if (monumento.getDistancia() > 999){
			float dist = (float)monumento.getDistancia();
			distancia.setText(String.valueOf(formateador.format(dist / 1000)) + "Km");
		}else
			distancia.setText(String.valueOf(monumento.getDistancia()) + "m");

        int id = R.drawable.ic_city;
//        switch(lugar.getTipo()) {
//             case RESTAURANTE:id = R.drawable.restaurante; break;
//             case BAR:        id = R.drawable.bar;         break;
//             case COPAS:      id = R.drawable.copas;       break;
//             case ESPECTACULO:id = R.drawable.espectaculos; break;
//             case HOTEL:      id = R.drawable.hotel;       break;
//             case COMPRAS:    id = R.drawable.compras;     break;
//             case EDUCACION:  id = R.drawable.educacion;   break;
//             case DEPORTE:    id = R.drawable.deporte;     break;
//             case NATURALEZA: id = R.drawable.naturaleza;  break;
//             case GASOLINERA: id = R.drawable.gasolinera;  break;
//        }
        foto.setImageResource(id);
        foto.setScaleType(ImageView.ScaleType.FIT_END);
 
        
        return vistaReciclada;
    }
 
    public int getCount() {
        return Monumentos.size();
    }
 
    public Object getItem(int posicion) {
        return Monumentos.elemento(posicion);
    }
 
    public long getItemId(int posicion) {
        return posicion;
    }
	
}
