package com.proyecto.freetoursvcl;

import java.util.ArrayList;


public class Monumento {
    private String nombre;
    private String direccion;
    private GeoPunto posicion;
    private String foto;
    private int distancia;
    private int tipo;
    private ArrayList<Acciones> acciones= new ArrayList<Acciones>();

   
    public Monumento(String nombre, String direccion, String imagen,
            double latitud, double longitud, int distancia, int tipo){
            
    	this.posicion = new GeoPunto(latitud,longitud);
        this.nombre = nombre;
        this.direccion = direccion;
        this.foto = imagen;
        this.distancia = distancia;
        this.tipo = tipo;

    }
    
    public Monumento(){}


	public String getNombre() {
		return nombre;
	}


	public void setNombre(String nombre) {
		this.nombre = nombre;
	}


	public String getDireccion() {
		return direccion;
	}


	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}


	public GeoPunto getPosicion() {
		return posicion;
	}


	public void setPosicion(GeoPunto posicion) {
		this.posicion = posicion;
	}


	public String getFoto() {
		return foto;
	}


	public void setFoto(String foto) {
		this.foto = foto;
	}


	public int getDistancia() {
		return distancia;
	}


	public void setDistancia(int distancia) {
		this.distancia = distancia;
	}


	public int getTipo() {
		return tipo;
	}


	public void setTipo(int tipo) {
		this.tipo = tipo;
	}


    public Acciones accion(int id){
        return acciones.get(id);
    }

    public void anyadeAccion(Acciones accion){
        acciones.add(accion);
    }
    
    public int sizeAciones() {
        return acciones.size();
    }
    
    public String ActoString() {
        String res = "";
    	for(int j=0; j<acciones.size(); j++){
        	res = res + acciones.get(j).toString();
        }
    	return res;
    }



	@Override
	public String toString() {
		return "Monumento [nombre=" + nombre + ", direccion=" + direccion
				+ ", posicion=" + posicion + ", foto=" + foto + ", distancia="
				+ distancia + ", tipo=" + tipo + ", acciones=" + acciones.toString() + "]";
	}
    
    
}
