package com.proyecto.freetoursvcl;

import java.util.ArrayList;
import java.util.TimerTask;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.support.v4.app.NotificationCompat;
import android.util.Log;

import com.google.android.gms.maps.model.LatLng;

public class MyTimerTask extends TimerTask{
	
	private GeoPunto punto;
    private Context context;
    private int ID_NOTIFICACION = 0; 
    private int DISTANCIA_AVISO;    //en metros
    final static String TAG2 = "Servicio SO";
 	private SharedPreferences preferencias;
    private static ArrayList<Monumento> monumentosNotificados = new ArrayList<Monumento>();

    public MyTimerTask(Context context, LatLng posicion) {

         this.context = context;
         punto = new GeoPunto (posicion.latitude,posicion.longitude);

    }
    
    @Override
    public synchronized void run() {
    	
    	  //Toast.makeText(context,"Servicio Notificacion TEMPORIZADOR", Toast.LENGTH_SHORT).show();		
          Log.d(TAG2, "+++++++++++++BUSCANDO POXIMIDAD�+++++++++++");
          
          preferencias = context.getSharedPreferences("com.proyecto.freetoursvcl_preferences", Context.MODE_PRIVATE);
          DISTANCIA_AVISO = Integer.parseInt(preferencias.getString("distancia", "20"));
          Log.d(TAG2, "DISTANCIA_AVISO-"+DISTANCIA_AVISO);
          
          for (int id=0; id < Monumentos.vectorMonumentos.size(); id++){ 
        	 
        	  double distancia = punto.distancia(Monumentos.vectorMonumentos.get(id).getPosicion());
        	  Log.d(TAG2, "DISTANCIA-"+id+":"+distancia);
        	  if (distancia < DISTANCIA_AVISO && 
        		!monumentosNotificados.contains(Monumentos.vectorMonumentos.get(id))){
            	  	Log.d(TAG2, "Entro en NOTIFICACION:"+id+":"+distancia);
        		  
	          	  	NotificationCompat.Builder notific = new NotificationCompat.Builder(context)
	              	.setContentTitle("Monumento Próximo")
	              	.setSmallIcon(R.drawable.ic_launcher)
	              	.setContentText("Se encuentra a menos de "+ DISTANCIA_AVISO +" metros de usted!!")
	              	.setWhen(System.currentTimeMillis()) 
	              	.setContentInfo("más info")
	              	.setTicker("Monumento Próximo")
	              	.setDefaults(Notification.DEFAULT_VIBRATE)
	              	.setDefaults(Notification.DEFAULT_SOUND);
	              ///Lanzar una actividad desde una Notificación
	          	  	Intent intencion = new Intent(context, VistaMonumento.class);
	          	  	intencion.putExtra("id", (long)id);
	          	    intencion.putExtra("Tipo", "Notificacion");
	          	    intencion.putExtra("ID_Notificacion", ++ID_NOTIFICACION);
	              	PendingIntent intencionPendiente = PendingIntent.getActivity(context, 0, intencion, PendingIntent.FLAG_CANCEL_CURRENT);
	              	notific.setContentIntent(intencionPendiente);
	              	/// 
	              	NotificationManager notificationManager = (NotificationManager)context.getSystemService(Context.NOTIFICATION_SERVICE);
	              	notificationManager.notify(ID_NOTIFICACION, notific.build());
	              	Log.d(TAG2, "Creo NOTIFICACION:"+ID_NOTIFICACION+"elemento:"+id);
	              	
	              	//
	              	monumentosNotificados.add(Monumentos.vectorMonumentos.get(id));
              }
          }
          	
    }
    
}
