package com.proyecto.freetoursvcl;

import java.text.DecimalFormat;

import android.app.Activity;
import android.app.NotificationManager;
import android.content.Context;
import android.content.Intent;
import android.content.res.Resources;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import com.google.android.gms.maps.model.LatLng;

public class VistaMonumento extends Activity {
    private long id;
    private Monumento monumento;
    private String tipoRutas[];
	private DecimalFormat formateador; 

    @Override
    protected void onCreate(Bundle savedInstanceState) {
    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.vista_monumento);

        formateador = new DecimalFormat("#.#");
        Resources res = getResources();
        tipoRutas = res.getStringArray(R.array.tiposRutasValores);

        Bundle extras = getIntent().getExtras();
        id = extras.getLong("id", 0);

        Log.d("DepurarApp","VistaMonumento-ID:" + id);

        if(extras.getString("Tipo").equals("Notificacion")){
            //Eliminamos la Notificaci�n
            NotificationManager notificationManager = (NotificationManager)getSystemService(Context.NOTIFICATION_SERVICE);
            notificationManager.cancel(extras.getInt("ID_Notificacion",0));
            Log.d("DepurarApp","VistaMonumento-Tipo:" + extras.getString("Tipo"));
            Log.d("DepurarApp","VistaMonumento-Notif:" + extras.getInt("ID_Notificacion",0));
        }

        monumento = Monumentos.elemento((int) id);
        
        TextView nombre = (TextView) findViewById(R.id.nombre);
        nombre.setText(monumento.getNombre());
//        
        TextView tipo = (TextView) findViewById(R.id.tipo);
        tipo.setText(tipoRutas[monumento.getTipo()]);
        
        TextView distancia = (TextView) findViewById(R.id.distan);
        if (monumento.getDistancia() > 999){
			float dist = (float)monumento.getDistancia();
			distancia.setText(String.valueOf(formateador.format(dist / 1000)) + "Km");
		}else{
			distancia.setText(String.valueOf(monumento.getDistancia()) + "m");
		}
        
        String calle = monumento.getDireccion().replaceAll("\nAyuntamiento de Valencia", "");
        if (!calle.equals("")){
			findViewById(R.id.l_direccion).setVisibility(View.VISIBLE);
	        TextView direccion = (TextView) findViewById(R.id.direccion);
            direccion.setText(calle);
        }
        
        if (monumento.getPosicion().getLatitud() != 0 && monumento.getPosicion().getLongitud() != 0){
			findViewById(R.id.l_llegar).setVisibility(View.VISIBLE);
        }
 
        
    	for(int i=0; i<monumento.sizeAciones(); i++){
    		Acciones accion = monumento.accion(i);
    		
    		if(accion.getNombreAc().equals("Más información")){
    			findViewById(R.id.l_web).setVisibility(View.VISIBLE);
    			findViewById(R.id.l_web).setTag(i);
    	        TextView url = (TextView) findViewById(R.id.url);
    	        url.setText(accion.getNombreAc());
    		}else 
    			if(accion.getNombreAc().equals("Llamar") && !accion.getUri().equals("+340")){
	    			findViewById(R.id.l_tel).setVisibility(View.VISIBLE);
	    			findViewById(R.id.l_tel).setTag(i);
	    	        TextView telefono = (TextView) findViewById(R.id.telefono);
	    	        telefono.setText(accion.getNombreAc() + " " + accion.getTipoAc() + ": " + accion.getUri());
    			}else
    				if(accion.getNombreAc().equals("Escuchar")){
    	    			findViewById(R.id.l_volumen).setVisibility(View.VISIBLE);
    	    			findViewById(R.id.l_volumen).setTag(i);
    	    	        TextView vol = (TextView) findViewById(R.id.volumen);
    	    	        vol.setText(accion.getNombreAc() + " narración");
    	    		}
        }

//        
//        TextView comentario = (TextView) findViewById(R.id.comentario);
//        comentario.setText(monumento.getComentario());
        

    }
    
    public void Cerrar (View view){
    	this.finish();   	
    }
    public void LlamarTel(View view){
    	Acciones accio = monumento.accion((Integer)view.getTag());
    	try{
    		startActivity(new Intent(Intent.ACTION_DIAL, Uri.parse("tel:"+accio.getUri()))); 
    	}catch(Exception ex){
    		Log.e("Llamada","Error en Llamada!", ex);
    	}
    	
    }
    public void ConsultarInfo(View view){
    	Acciones accio = monumento.accion((Integer)view.getTag());
    	try{
        	startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse(accio.getUri()))); 
    	}catch(Exception ex){
    		Log.e("Mas Info","Error lanzando Web!", ex);
    	}
 	
    }
    public void LanzarUri(View view){
    	Acciones accio = monumento.accion((Integer)view.getTag());
    	
    	Intent i = new Intent(this, VistaWeb.class);
    	i.putExtra("Url", accio.getUri());
    	i.putExtra("Tipo", accio.getTipoAc());
    	startActivity(i);
    	
    }
    public void LanzarComoLlegar(View view){
    	double lat = monumento.getPosicion().getLatitud();
    	double lon = monumento.getPosicion().getLongitud();
    	
    	LatLng pos = MainActivity.getPosicionActual();
//    	// ruta por defecto en coche
//    	String url = "https://www.google.es/maps/dir/"+pos.latitude+","+pos.longitude+"/"+lat+","+lon+"/";
    	// ruta a pie
    	String url = "https://www.google.es/maps/dir/"+pos.latitude+","+pos.longitude+"/"+lat+","+lon+
    			"/data=!3m1!4b1!4m10!4m9!1m3!2m2!1d"+pos.longitude+"!2d"+pos.latitude+"!1m3!2m2!1d"+
    			lon+"!2d"+lat+"!3e2";
    	Log.d("VistaMonumento","COMO LLEGAR:" + url);
//    	
//    	Intent i = new Intent(this, VistaWeb.class);
//    	i.putExtra("Url", url);
//    	i.putExtra("Tipo", "text/html");
//    	startActivity(i);
    	try{
        	startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse(url))); 
    	}catch(Exception ex){
    		Log.e("Mas Info","Error lanzando Web!", ex);
    	}
    	
    }
}
